summaryrefslogtreecommitdiffstats
path: root/build
diff options
context:
space:
mode:
authorbsalomon@google.com <bsalomon@google.com@0039d316-1c4b-4281-b951-d872f2087c98>2013-02-14 20:11:12 +0000
committerbsalomon@google.com <bsalomon@google.com@0039d316-1c4b-4281-b951-d872f2087c98>2013-02-14 20:11:12 +0000
commit776e19a568010fa5582d658b3c999919c49ee596 (patch)
tree586098a670ac710b4eb254910c20f4f039706d65 /build
parent7fea6c4c4f0a1ab8d68b96ae16d1d936febd3a28 (diff)
downloadchromium_src-776e19a568010fa5582d658b3c999919c49ee596.zip
chromium_src-776e19a568010fa5582d658b3c999919c49ee596.tar.gz
chromium_src-776e19a568010fa5582d658b3c999919c49ee596.tar.bz2
android: Check whether JAVA_HOME is set incorrectly in envsetup.sh
Review URL: https://codereview.chromium.org/12252042 git-svn-id: svn://svn.chromium.org/chrome/trunk/src@182522 0039d316-1c4b-4281-b951-d872f2087c98
Diffstat (limited to 'build')
-rw-r--r--build/android/envsetup.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/build/android/envsetup.sh b/build/android/envsetup.sh
index e6a9a6d..21dfd3f 100644
--- a/build/android/envsetup.sh
+++ b/build/android/envsetup.sh
@@ -113,6 +113,17 @@ if [ $? -ne 0 ]; then
return 1
fi
+if [[ -n "$JAVA_HOME" && -x "$JAVA_HOME/bin/java" ]]; then
+ "$JAVA_HOME/bin/java" -version 2>&1 | grep -qs "Java HotSpot"
+ if [ $? -ne 0 ]; then
+ echo "If JAVA_HOME is defined then it must refer to the install location"
+ echo "of the Oracle Java SDK."
+ echo "Refer to the \"Install prerequisites\" section here:"
+ echo "https://code.google.com/p/chromium/wiki/AndroidBuildInstructions"
+ return 1
+ fi
+fi
+
# Workaround for valgrind build
if [[ -n "$CHROME_ANDROID_VALGRIND_BUILD" ]]; then
# arm_thumb=0 is a workaround for https://bugs.kde.org/show_bug.cgi?id=270709